# Type Alias ToggleProps

ToggleProps: Partial<Pick<ContainerProps, "css" | "className">> & {
disabled?: boolean;
onChange: (newValue: boolean) => void;
onContextMenu?: React.MouseEventHandler;
undeterminedClickValue?: boolean;
value: boolean | null;
}

#### Type declaration

- ##### `Optional` disabled?: boolean

  If true, the toggle is disabled and cannot be interacted with.

- ##### onChange: (newValue: boolean) => void

- ##### `Optional` onContextMenu?: React.MouseEventHandler

- ##### `Optional` undeterminedClickValue?: boolean

  If the toggle is in an undetermined state (value is null), clicking it will change the value to this.

- ##### value: boolean | null

- Defined in src/components/form/Toggle.tsx:9